<?php
/**
 * 2007-2022 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    patworx multimedia GmbH <service@patworx.de>
 *  @copyright 2007-2022 patworx multimedia GmbH
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
class EasycreditWebshopInfo
{
    protected static $instance = null;

    public $easycreditClient;

    public $info = [
        'maxFinancingAmount' => 0,
        'minFinancingAmount' => 0,
        'interestRate' => 0,
        'availability' => false,
        'testMode' => true,
        'privacyApprovalForm' => '',
    ];

    /**
     * @throws Exception
     */
    public function __construct()
    {
        $this->easycreditClient = new EasycreditClient();

        $data = $this->easycreditClient->webshopInfo();
        $data = json_decode($data, true);
        foreach ($this->info as $infoKey => $infoVal) {
            if (isset($data[$infoKey])) {
                $this->info[$infoKey] = $data[$infoKey];
            }
        }
    }

    /**
     * @return EasycreditWebshopInfo|null
     */
    public static function getInstance()
    {
        if (is_null(self::$instance)) {
            $instance = new self();
            self::$instance = $instance;
        }

        return self::$instance;
    }

    /**
     * @param $var
     *
     * @return false|mixed
     */
    public function get($var)
    {
        if (isset($this->info[$var])) {
            return $this->info[$var];
        }

        return false;
    }
}
