{*
* 2007-2022 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    patworx multimedia GmbH <service@patworx.de>
*  @copyright 2007-2022 patworx multimedia GmbH
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*}

{if isset($postSuccess)}
	{foreach from=$postSuccess item=ps}
		<div class="alert alert-success">{$ps|escape:'htmlall':'UTF-8'}</div>
	{/foreach}
{/if}

{if isset($postError)}
	{foreach from=$postError item=pe}
		<div class="alert alert-warning">{$pe|escape:'htmlall':'UTF-8'}</div>
	{/foreach}
{/if}

{if !$is_valid_credentials}
	<div class="alert alert-warning">{l s='Connection to easyCredit API not possible. Please check your credentials.' mod='easycreditratenkauf'}</div>
{/if}

<div id="easycredittabs">
	<ul class="nav nav-tabs">
		<li class="active"><a href="#tab-ec-info" data-toggle="tab">{l s='easyCredit-Ratenkauf' mod='easycreditratenkauf'}</a></li>
		<li><a href="#tab-ec-config" data-toggle="tab">{l s='Configuration' mod='easycreditratenkauf'}</a></li>
	</ul>
	<div class="tab-content panel">
		<div id="tab-ec-info" class="tab-pane active">
			<div class="row">
				<div class="col-xs-12 col-lg-7">
					<img src="{$module_dir|escape:'htmlall':'UTF-8'}/views/img/rk_logo.jpg" class="floatright" />
					<h2>{l s='easyCredit-Ratenkauf is the easiest and fastest installment payment solution in Germany.' mod='easycreditratenkauf'}</h2>
					<h5>{l s='The upgrade for your online shop.' mod='easycreditratenkauf'}</h5>
					<br />
					<p>
						{l s='The variety has never been as big for customers as it is today. The next online shop with comparable product selection is only a few clicks away.' mod='easycreditratenkauf'}
						{l s='That\'s why [1]simplicity and convenience[/1] in shop use are key factors for the customer - and that includes simple and fair offers for [2]purchase in installments[/2].' tags=['<strong>', '<strong>'] mod='easycreditratenkauf'}
					</p>
					<p>
						{l s='The integration of easyCredit-Ratenkauf in the checkout brings on average...' mod='easycreditratenkauf'}
						<br />
						<br />	
						{l s='+ 14% more [1]revenue*[/1]' tags=['<strong>'] mod='easycreditratenkauf'}<br />
						{l s='+ 11% higher [1]baskets**[/1]' tags=['<strong>'] mod='easycreditratenkauf'}<br />
						{l s='+ 8% more [1]new customers[/1]**' tags=['<strong>'] mod='easycreditratenkauf'}<br />
						<span style="font-size: 11px; font-style: italic">*ECC Köln 2013 &nbsp; &nbsp; &nbsp;  **ibi Research 2015</span>				
					</p>
				
					<p>
						{l s='Convenient and risk-free for you:' tags=['<strong>'] mod='easycreditratenkauf'}<br />
						- {l s='[1]No extra work for you[/1]' tags=['<strong>'] mod='easycreditratenkauf'}<br />
						- {l s='[1]Receipt of payment after a few working days[/1]' tags=['<strong>'] mod='easycreditratenkauf'}<br />
						- {l s='[1]No payment default[/1], because TeamBank handles the credit risk and the debtor management' tags=['<strong>'] mod='easycreditratenkauf'}<br />
						- {l s='[1]Fairness for your customer[/1] because of the excellent service and transparent pricing-model' tags=['<strong>'] mod='easycreditratenkauf'}
					</p>
				
					<p>
						{l s='With easyCredit-Ratenkauf we offer you and your customers the fast and convenient solution without Post-Ident (identification via mail). For cart values from 200,- to 3.000,- EUR (physical goods including product related services).' mod='easycreditratenkauf'}
						<br />
						{l s='easyCredit-Ratenkauf enables your customers to pay in installments quickly and easily - with real-time decisions.' mod='easycreditratenkauf'}
						<br />
						{l s='[1]Would you like to offer it to your customers?[/1] Then sign up here today:' tags=['<strong>'] mod='easycreditratenkauf'}<br />
						<a href="https://partner.easycredit-ratenkauf.de/registrierung?vt=Q2CSIXUJ2C" target="_blank">https://partner.easycredit-ratenkauf.de/registrierung?vt=Q2CSIXUJ2C</a>
					</p>

					<p>
						{l s='Afterwards you will receive the access data for the plugin from us and you>\'re ready to go.' mod='easycreditratenkauf'}
					</p>
				</div>
				<div class="col-xs-12 col-lg-1">&nbsp;</div>
				<div class="col-xs-12 col-lg-4">
					<h2>Learn more...:</h2>
					<iframe width="470" height="300" src="https://www.youtube.com/embed/gJ-BfYTwwNk" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
				</div>
			</div>		
		</div>
		<div id="tab-ec-config" class="tab-pane">
			{$ec_form}
		</div>
	</div>
</div>


<span id="webshopIDdesc" class="col-lg-3 hidden_desc">
	{l s='You\'ll find your Webshop-ID after successfully logging in the ratenkauf [1]merchant-interface[/1] under the subject [2]"Shopadministration"[/2].' tags=['<a href="https://app.easycredit.de/login/content/intern/aufgabenbereiche.jsf" target="_blank">', '<strong>'] mod='easycreditratenkauf'}
</span>

<span id="tokenIDdesc" class="col-lg-3 hidden_desc">
	{l s='You define your API-password in the ratenkauf [1]merchant-interface[/1] under the subject [2]"Shopadministration"[/2]' tags=['<a href="https://app.easycredit.de/login/content/intern/aufgabenbereiche.jsf" target="_blank">', '<strong>'] mod='easycreditratenkauf'}
</span>

